;(function ($) {
    var pie_charts = function (o) {
        if ($('#' + o.id).length > 0) {
            var chart = Highcharts.chart(o.id, {
                chart: {
                    spacing: [10, 0, 10, 0],
                    zoomType: 'x',
                    backgroundColor: 'rgba(255,255,255,0)'
                },
                noData: {
                    style: {
                        fontWeight: 'bold',
                        fontSize: '15px',
                        color: '#0aa2f2'
                    },
                    useHTML: '暂无数据'
                },
                title: {
                    floating: true,
                    align: 'center',
                    verticalAlign: 'middle',
                    y: 0,
                    text: '<span style="color: #fff;font-size: 3vmin;">' + o.name + '</span>'
                },
                navigation: {
                    adaptToUpdatedData: false,
                    buttonOptions: {
                        enabled: false
                    }
                },
                tooltip: {
                    headerFormat: o.headerFormat,
                    pointFormat: '<br/>{point.name}: <b>{point.percentage:.1f}%</b>'
                },
                credits: {
                    enabled: false
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        showInLegend: false,
                        borderWidth: 0,
                        dataLabels: {
                            enabled: false,
                        },
                    }
                },
                series: [{
                    type: 'pie',
                    innerSize: '80%',
                    name: o.name,
                    data: o.data,
                }]
            });
            return chart;
        }
    };
    pie_charts({
        id: 'pie-host-health1',
        name: 'CPU',
        headerFormat: 'CPU',
        data: [{name: "异常", y: 9, color: "#f30"},
            {color: "#0cbc3f", name: "正常", y: 9}]
    });
    pie_charts({
        id: 'pie-host-health2',
        name: '电压探头',
        headerFormat: '电压探头',
        data: [{name: "异常", y: 9, color: "#f30"},
            {color: "#0cbc3f", name: "正常", y: 9}]
    });
    pie_charts({
        id: 'pie-host-health3',
        name: '内存',
        headerFormat: '内存',
        data: [{name: "异常", y: 9, color: "#f30"},
            {color: "#0cbc3f", name: "正常", y: 9}]
    });
    pie_charts({
        id: 'pie-host-health4',
        name: '温度探头',
        headerFormat: '温度探头',
        data: [{name: "异常", y: 9, color: "#f30"},
            {color: "#0cbc3f", name: "正常", y: 9}]
    });
    pie_charts({
        id: 'pie-cpu',
        name: '50%',
        headerFormat: 'cpu',
        data: [{name: "异常", y: 9, color: "#f30"},
            {color: "rgba(255,255,255,0.5)", name: "正常", y: 9}]
    });
    if ($('#disk-usage-charts').length > 0) {
        var chart = Highcharts.chart('disk-usage-charts',{
            chart: {
                type: 'column',
                backgroundColor:'rgba(255,255,255,0)'
            },
            title: {
                align: 'left',
                text: '磁盘阵列使用率',
                style: {"color": "#ded447", "fontSize": "20px","fontWeight":"bold"}
            },
            subtitle: {
                enabled: false
            },
            credits: {
                enabled: false
            },
            legend:{
                enabled: false
            },
            navigation: {
                adaptToUpdatedData: false,
                buttonOptions: {
                    enabled: false
                }
            },
            xAxis: {
                categories: [
                    '一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月'
                ],
                lineColor: '#fff',
                tickColor: '#fff',
                labels: {
                    style: {
                        color: '#fff',//颜色
                    }
                },
                lineWidth: 1,
                crosshair: true
            },
            yAxis: {
                min: 0,
                title: {
                    text: '',
                    enabled: false
                },
                lineWidth: 1,//自定义x轴宽度
                gridLineWidth: 1,//默认是0，即在图上没有纵轴间隔线
                labels: {
                    style: {
                        color: '#fff',//颜色
                    }
                },
                lineColor: '#fff',
                gridLineColor: '#fff',
            },
            tooltip: {
                // head + 每个 point + footer 拼接成完整的 table
                headerFormat: '<table>',
                pointFormat: '<tr><td style="padding:0">{series.name}: </td>' +
                    '<td style="padding:0"><b>{point.y:.1f}</b></td></tr>',
                footerFormat: '</table>',
                shared: true,
                useHTML: true
            },
            plotOptions: {
                column: {
                    borderWidth: 0
                },
                series: {
                    color: '#fff'
                }
            },
            series: [{
                name: '东京',
                data: [49.9, 71.5, 106.4, 129.2, 144.0, 176.0, 135.6, 148.5, 216.4, 194.1, 95.6, 54.4]
            }]
        });
    }
    var height = document.documentElement.clientHeight;
})(jQuery);